---
name: "mouse pixels"
description: >-
  The mouse pixels mode is an exclusive mode.
  It is made active by the "mouse position" command in the "basic" mode.
  It is used to move and click the mouse.
  When initiated, numbered vertical lines appear on the screen.
  These numbers are the x pixel values of your display.
  You say one of these numbers, or any estimated number between them.
  The mouse x positioned is placed according to your uttered number.
  Numbered horizontal lines replace the vertical lines on the screen.
  These numbers are the y pixel values of your display.
  You say a number, similar to how you selected the x pixel value.
  The mouse is now positioned to your selected coordinates.
  You can continue revising the position,
  or use the commands in this mode to click or cancel.
initiallyActive: false
exclusive: true
commands:
  - name: "cancel"
    description: >-
      Clears pixel lines from the screen and does not click the mouse.
    alternates:
      - "kendall"
    functions:
      - name: "closeMouseGuide"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "left"
    description: >-
      Clears pixel lines from the screen and left clicks the mouse.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "left"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "double"
    description: >-
      Clears pixel lines from the screen and left double clicks the mouse.
    alternates:
      - "w"
    functions:
      - name: "closeMouseGuide"
      - name: "mouseClick"
        fixedArguments:
          - "double"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "middle"
    description: >-
      Clears pixel lines from the screen and middle clicks the mouse.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "middle"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "right"
    description: >-
      Clears pixel lines from the screen and right clicks the mouse.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "right"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "start drag"
    description: >-
      Marks the beginning of a mouse drag.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "start"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "finish drag"
    description: >-
      Performs a mouse drag from their previously marked starting position
      to the current position.
    alternates:
      - "finnish drag"
      - "finished drag"
      - "finnish drug"
      - "finish drug"
      - "finished drug"
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "finish"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse pixels"
  - name: "_default"
    description: >-
      If no other command is matched, this default command is used.
      This command assumes you're saying a number to choose a pixel value.
    functions:
      - name: "updateMouseGuide"
        utteranceArguments: 1
